import service from '@/utils/axios';
import { baseURL4,baseURL5 } from '../../constant';


//删除存档
export const TaskCopyRec = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskDataCopy/Recover',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};
//删除存档
export const TaskCopydel = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskDataCopy/Del',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};
//新增存档
export const TaskCopyAdd = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskDataCopy/Add',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};
//存档列表
export const TaskCopyList = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskDataCopy/List',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};
//等比缩小
export const Taskzoom = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/DataGeometricScale',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};
//复制到
export const TaskCopy = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/CopyFromPositionSN',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};
//平均复制到
export const CopyFromPosit = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/CopyFromPositionAverageSN',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};

//补漏
export const TaskRepairSen = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/RepairSensorData',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};

//趋势
export const TaskDataSensor = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/DataSensorDataTrend',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};

//偏移随机
export const TaskUpdateRand = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/UpdateRand',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};

//偏移区间
export const TaskUpdateaSke = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/DataSkewingInterval',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};
//偏移固定
export const TaskUpdateFix = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/UpdateFix',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};
//平滑
export const TaskSmooth = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/DataSensorDataSmooth',
    data,
    baseURL: localStorage.getItem('ping')?baseURL4:baseURL5,
  });
};
